Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
[Java] Class Parameter

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.Parameter

All Implemented Interfaces:
  Variable

    public class Parameter
    extends AnnotatedNode

Represents a parameter on a constructor or method call. The type name is optional - it defaults to java.lang.Object if unknown.

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary
`static Parameter[]` | `EMPTY_ARRAY`

Constructor Summary
`Parameter(ClassNode type, java.lang.String name)`
`Parameter(ClassNode type, java.lang.String name, Expression defaultValue)`

Method Summary
`Expression` | `getInitialExpression()` @return the default value expression for this parameter or null if no default value is specified
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`ClassNode` | `getOriginType()`
`ClassNode` | `getType()`
`boolean` | `hasInitialExpression()`
`boolean` | `isClosureSharedVariable()`
`boolean` | `isDynamicTyped()`
`boolean` | `isInStaticContext()`
`void` | `setClosureSharedVariable(boolean inClosure)`
`void` | `setInStaticContext(boolean inStaticContext)`
`void` | `setInitialExpression(Expression init)`
`void` | `setModifiers(int modifiers)`
`void` | `setOriginType(ClassNode cn)`
`void` | `setType(ClassNode type)`
`java.lang.String` | `toString()`

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### EMPTY_ARRAY

    public static final Parameter[] EMPTY_ARRAY

Constructor Detail

### Parameter

    public Parameter(ClassNode type, java.lang.String name)

### Parameter

    public Parameter(ClassNode type, java.lang.String name, Expression defaultValue)

Method Detail

### getInitialExpression

    public Expression getInitialExpression()

  Returns:
    the default value expression for this parameter or null if no default value is specified

### getModifiers

    public int getModifiers()

### getName

    public java.lang.String getName()

### getOriginType

    public ClassNode getOriginType()

### getType

    public ClassNode getType()

### hasInitialExpression

    public boolean hasInitialExpression()

### isClosureSharedVariable

    public boolean isClosureSharedVariable()

### isDynamicTyped

    public boolean isDynamicTyped()

### isInStaticContext

    public boolean isInStaticContext()

### setClosureSharedVariable

    public void setClosureSharedVariable(boolean inClosure)

### setInStaticContext

    public void setInStaticContext(boolean inStaticContext)

### setInitialExpression

    public void setInitialExpression(Expression init)

### setModifiers

    public void setModifiers(int modifiers)

### setOriginType

    public void setOriginType(ClassNode cn)

### setType

    public void setType(ClassNode type)

### toString

    public java.lang.String toString()

Groovy Documentation